# Get token operation status

The state of an operation by its operation_id.

```http
POST https://larm.sa/oauth/operations/status
```

## Request body

| Field | Type | Required | Description |
|---|---|---|---|
| `operation_id` | string (uuid) | yes |  |


## Example request

```bash
curl -X POST "https://larm.sa/oauth/operations/status" \
  -u "$CLIENT_ID:$CLIENT_SECRET" \
  -H "Content-Type: application/json" \
  -d '{ "operation_id": "0e9d8c7b-6a5f-4e3d-2c1b-0a9f8e7d6c5b" }'
```


## Example response (200)

```json
{
  "operation_id": "0e9d8c7b-6a5f-4e3d-2c1b-0a9f8e7d6c5b",
  "state": "acknowledged",
  "result_available": false,
  "recovery": "revoke_issued_pair_then_reauthorize",
  "error_code": null
}
```
